Loading...
Searching...
No Matches
or/unghr: Generate Q from Hessenberg reduction
Dense LA » Eigenvalues » Non-symmetric eigenvalues

## Functions

magma_int_t | magma_cunghr (magma_int_t n, magma_int_t ilo, magma_int_t ihi, magmaFloatComplex *A, magma_int_t lda, magmaFloatComplex *tau, magmaFloatComplex_ptr dT, magma_int_t nb, magma_int_t *info)
| CUNGHR generates a COMPLEX unitary matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by CGEHRD:
magma_int_t | magma_cunghr_m (magma_int_t n, magma_int_t ilo, magma_int_t ihi, magmaFloatComplex *A, magma_int_t lda, magmaFloatComplex *tau, magmaFloatComplex *T, magma_int_t nb, magma_int_t *info)
| CUNGHR generates a COMPLEX unitary matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by CGEHRD:
magma_int_t | magma_dorghr (magma_int_t n, magma_int_t ilo, magma_int_t ihi, double *A, magma_int_t lda, double *tau, magmaDouble_ptr dT, magma_int_t nb, magma_int_t *info)
| DORGHR generates a DOUBLE PRECISION orthogonal matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by DGEHRD:
magma_int_t | magma_dorghr_m (magma_int_t n, magma_int_t ilo, magma_int_t ihi, double *A, magma_int_t lda, double *tau, double *T, magma_int_t nb, magma_int_t *info)
| DORGHR generates a DOUBLE PRECISION orthogonal matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by DGEHRD:
magma_int_t | magma_sorghr (magma_int_t n, magma_int_t ilo, magma_int_t ihi, float *A, magma_int_t lda, float *tau, magmaFloat_ptr dT, magma_int_t nb, magma_int_t *info)
| SORGHR generates a REAL orthogonal matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by SGEHRD:
magma_int_t | magma_sorghr_m (magma_int_t n, magma_int_t ilo, magma_int_t ihi, float *A, magma_int_t lda, float *tau, float *T, magma_int_t nb, magma_int_t *info)
| SORGHR generates a REAL orthogonal matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by SGEHRD:
magma_int_t | magma_zunghr (magma_int_t n, magma_int_t ilo, magma_int_t ihi, magmaDoubleComplex *A, magma_int_t lda, magmaDoubleComplex *tau, magmaDoubleComplex_ptr dT, magma_int_t nb, magma_int_t *info)
| ZUNGHR generates a COMPLEX_16 unitary matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by ZGEHRD:
magma_int_t | magma_zunghr_m (magma_int_t n, magma_int_t ilo, magma_int_t ihi, magmaDoubleComplex *A, magma_int_t lda, magmaDoubleComplex *tau, magmaDoubleComplex *T, magma_int_t nb, magma_int_t *info)
| ZUNGHR generates a COMPLEX_16 unitary matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by ZGEHRD:

## Detailed Description

## Function Documentation

## magma_cunghr()

magma_int_t magma_cunghr | ( | magma_int_t | n,
|  | magma_int_t | ilo,
|  | magma_int_t | ihi,
|  | magmaFloatComplex * | A,
|  | magma_int_t | lda,
|  | magmaFloatComplex * | tau,
|  | magmaFloatComplex_ptr | dT,
|  | magma_int_t | nb,
|  | magma_int_t * | info )

CUNGHR generates a COMPLEX unitary matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by CGEHRD:

Q = H(ilo) H(ilo+1) . . . H(ihi-1).

Parameters

  [in] | n | INTEGER The order of the matrix Q. N >= 0.
  [in] | ilo | INTEGER
  [in] | ihi | INTEGER ILO and IHI must have the same values as in the previous call of CGEHRD. Q is equal to the unit matrix except in the submatrix Q(ilo+1:ihi,ilo+1:ihi). 1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
  [in,out] | A | COMPLEX array, dimension (LDA,N) On entry, the vectors which define the elementary reflectors, as returned by CGEHRD. On exit, the N-by-N unitary matrix Q.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in] | tau | COMPLEX array, dimension (N-1) TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by CGEHRD.
  [in] | dT | COMPLEX array on the GPU device. DT contains the T matrices used in blocking the elementary reflectors H(i), e.g., this can be the 9th argument of magma_cgehrd.
  [in] | nb | INTEGER This is the block size used in CGEHRD, and correspondingly the size of the T matrices, used in the factorization, and stored in DT.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_cunghr_m()

magma_int_t magma_cunghr_m | ( | magma_int_t | n,
|  | magma_int_t | ilo,
|  | magma_int_t | ihi,
|  | magmaFloatComplex * | A,
|  | magma_int_t | lda,
|  | magmaFloatComplex * | tau,
|  | magmaFloatComplex * | T,
|  | magma_int_t | nb,
|  | magma_int_t * | info )

CUNGHR generates a COMPLEX unitary matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by CGEHRD:

Q = H(ilo) H(ilo+1) . . . H(ihi-1).

Parameters

  [in] | n | INTEGER The order of the matrix Q. N >= 0.
  [in] | ilo | INTEGER
  [in] | ihi | INTEGER ILO and IHI must have the same values as in the previous call of CGEHRD. Q is equal to the unit matrix except in the submatrix Q(ilo+1:ihi,ilo+1:ihi). 1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
  [in,out] | A | COMPLEX array, dimension (LDA,N) On entry, the vectors which define the elementary reflectors, as returned by CGEHRD. On exit, the N-by-N unitary matrix Q.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in] | tau | COMPLEX array, dimension (N-1) TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by CGEHRD.
  [in] | T | COMPLEX array on the GPU device. T contains the T matrices used in blocking the elementary reflectors H(i), e.g., this can be the 9th argument of magma_cgehrd.
  [in] | nb | INTEGER This is the block size used in CGEHRD, and correspondingly the size of the T matrices, used in the factorization, and stored in T.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_dorghr()

magma_int_t magma_dorghr | ( | magma_int_t | n,
|  | magma_int_t | ilo,
|  | magma_int_t | ihi,
|  | double * | A,
|  | magma_int_t | lda,
|  | double * | tau,
|  | magmaDouble_ptr | dT,
|  | magma_int_t | nb,
|  | magma_int_t * | info )

DORGHR generates a DOUBLE PRECISION orthogonal matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by DGEHRD:

Q = H(ilo) H(ilo+1) . . . H(ihi-1).

Parameters

  [in] | n | INTEGER The order of the matrix Q. N >= 0.
  [in] | ilo | INTEGER
  [in] | ihi | INTEGER ILO and IHI must have the same values as in the previous call of DGEHRD. Q is equal to the unit matrix except in the submatrix Q(ilo+1:ihi,ilo+1:ihi). 1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
  [in,out] | A | DOUBLE PRECISION array, dimension (LDA,N) On entry, the vectors which define the elementary reflectors, as returned by DGEHRD. On exit, the N-by-N orthogonal matrix Q.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in] | tau | DOUBLE PRECISION array, dimension (N-1) TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by DGEHRD.
  [in] | dT | DOUBLE PRECISION array on the GPU device. DT contains the T matrices used in blocking the elementary reflectors H(i), e.g., this can be the 9th argument of magma_dgehrd.
  [in] | nb | INTEGER This is the block size used in DGEHRD, and correspondingly the size of the T matrices, used in the factorization, and stored in DT.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_dorghr_m()

magma_int_t magma_dorghr_m | ( | magma_int_t | n,
|  | magma_int_t | ilo,
|  | magma_int_t | ihi,
|  | double * | A,
|  | magma_int_t | lda,
|  | double * | tau,
|  | double * | T,
|  | magma_int_t | nb,
|  | magma_int_t * | info )

DORGHR generates a DOUBLE PRECISION orthogonal matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by DGEHRD:

Q = H(ilo) H(ilo+1) . . . H(ihi-1).

Parameters

  [in] | n | INTEGER The order of the matrix Q. N >= 0.
  [in] | ilo | INTEGER
  [in] | ihi | INTEGER ILO and IHI must have the same values as in the previous call of DGEHRD. Q is equal to the unit matrix except in the submatrix Q(ilo+1:ihi,ilo+1:ihi). 1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
  [in,out] | A | DOUBLE PRECISION array, dimension (LDA,N) On entry, the vectors which define the elementary reflectors, as returned by DGEHRD. On exit, the N-by-N orthogonal matrix Q.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in] | tau | DOUBLE PRECISION array, dimension (N-1) TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by DGEHRD.
  [in] | T | DOUBLE PRECISION array on the GPU device. T contains the T matrices used in blocking the elementary reflectors H(i), e.g., this can be the 9th argument of magma_dgehrd.
  [in] | nb | INTEGER This is the block size used in DGEHRD, and correspondingly the size of the T matrices, used in the factorization, and stored in T.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_sorghr()

magma_int_t magma_sorghr | ( | magma_int_t | n,
|  | magma_int_t | ilo,
|  | magma_int_t | ihi,
|  | float * | A,
|  | magma_int_t | lda,
|  | float * | tau,
|  | magmaFloat_ptr | dT,
|  | magma_int_t | nb,
|  | magma_int_t * | info )

SORGHR generates a REAL orthogonal matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by SGEHRD:

Q = H(ilo) H(ilo+1) . . . H(ihi-1).

Parameters

  [in] | n | INTEGER The order of the matrix Q. N >= 0.
  [in] | ilo | INTEGER
  [in] | ihi | INTEGER ILO and IHI must have the same values as in the previous call of SGEHRD. Q is equal to the unit matrix except in the submatrix Q(ilo+1:ihi,ilo+1:ihi). 1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
  [in,out] | A | REAL array, dimension (LDA,N) On entry, the vectors which define the elementary reflectors, as returned by SGEHRD. On exit, the N-by-N orthogonal matrix Q.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in] | tau | REAL array, dimension (N-1) TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by SGEHRD.
  [in] | dT | REAL array on the GPU device. DT contains the T matrices used in blocking the elementary reflectors H(i), e.g., this can be the 9th argument of magma_sgehrd.
  [in] | nb | INTEGER This is the block size used in SGEHRD, and correspondingly the size of the T matrices, used in the factorization, and stored in DT.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_sorghr_m()

magma_int_t magma_sorghr_m | ( | magma_int_t | n,
|  | magma_int_t | ilo,
|  | magma_int_t | ihi,
|  | float * | A,
|  | magma_int_t | lda,
|  | float * | tau,
|  | float * | T,
|  | magma_int_t | nb,
|  | magma_int_t * | info )

SORGHR generates a REAL orthogonal matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by SGEHRD:

Q = H(ilo) H(ilo+1) . . . H(ihi-1).

Parameters

  [in] | n | INTEGER The order of the matrix Q. N >= 0.
  [in] | ilo | INTEGER
  [in] | ihi | INTEGER ILO and IHI must have the same values as in the previous call of SGEHRD. Q is equal to the unit matrix except in the submatrix Q(ilo+1:ihi,ilo+1:ihi). 1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
  [in,out] | A | REAL array, dimension (LDA,N) On entry, the vectors which define the elementary reflectors, as returned by SGEHRD. On exit, the N-by-N orthogonal matrix Q.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in] | tau | REAL array, dimension (N-1) TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by SGEHRD.
  [in] | T | REAL array on the GPU device. T contains the T matrices used in blocking the elementary reflectors H(i), e.g., this can be the 9th argument of magma_sgehrd.
  [in] | nb | INTEGER This is the block size used in SGEHRD, and correspondingly the size of the T matrices, used in the factorization, and stored in T.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_zunghr()

magma_int_t magma_zunghr | ( | magma_int_t | n,
|  | magma_int_t | ilo,
|  | magma_int_t | ihi,
|  | magmaDoubleComplex * | A,
|  | magma_int_t | lda,
|  | magmaDoubleComplex * | tau,
|  | magmaDoubleComplex_ptr | dT,
|  | magma_int_t | nb,
|  | magma_int_t * | info )

ZUNGHR generates a COMPLEX_16 unitary matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by ZGEHRD:

Q = H(ilo) H(ilo+1) . . . H(ihi-1).

Parameters

  [in] | n | INTEGER The order of the matrix Q. N >= 0.
  [in] | ilo | INTEGER
  [in] | ihi | INTEGER ILO and IHI must have the same values as in the previous call of ZGEHRD. Q is equal to the unit matrix except in the submatrix Q(ilo+1:ihi,ilo+1:ihi). 1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
  [in,out] | A | COMPLEX_16 array, dimension (LDA,N) On entry, the vectors which define the elementary reflectors, as returned by ZGEHRD. On exit, the N-by-N unitary matrix Q.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in] | tau | COMPLEX_16 array, dimension (N-1) TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by ZGEHRD.
  [in] | dT | COMPLEX_16 array on the GPU device. DT contains the T matrices used in blocking the elementary reflectors H(i), e.g., this can be the 9th argument of magma_zgehrd.
  [in] | nb | INTEGER This is the block size used in ZGEHRD, and correspondingly the size of the T matrices, used in the factorization, and stored in DT.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_zunghr_m()

magma_int_t magma_zunghr_m | ( | magma_int_t | n,
|  | magma_int_t | ilo,
|  | magma_int_t | ihi,
|  | magmaDoubleComplex * | A,
|  | magma_int_t | lda,
|  | magmaDoubleComplex * | tau,
|  | magmaDoubleComplex * | T,
|  | magma_int_t | nb,
|  | magma_int_t * | info )

ZUNGHR generates a COMPLEX_16 unitary matrix Q which is defined as the product of IHI-ILO elementary reflectors of order N, as returned by ZGEHRD:

Q = H(ilo) H(ilo+1) . . . H(ihi-1).

Parameters

  [in] | n | INTEGER The order of the matrix Q. N >= 0.
  [in] | ilo | INTEGER
  [in] | ihi | INTEGER ILO and IHI must have the same values as in the previous call of ZGEHRD. Q is equal to the unit matrix except in the submatrix Q(ilo+1:ihi,ilo+1:ihi). 1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
  [in,out] | A | COMPLEX_16 array, dimension (LDA,N) On entry, the vectors which define the elementary reflectors, as returned by ZGEHRD. On exit, the N-by-N unitary matrix Q.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in] | tau | COMPLEX_16 array, dimension (N-1) TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by ZGEHRD.
  [in] | T | COMPLEX_16 array on the GPU device. T contains the T matrices used in blocking the elementary reflectors H(i), e.g., this can be the 9th argument of magma_zgehrd.
  [in] | nb | INTEGER This is the block size used in ZGEHRD, and correspondingly the size of the T matrices, used in the factorization, and stored in T.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value